18.11.2008 16:24    

ehya
neyin grip noktalarını tutup osnap'a çekeceksin??? biraz daha detaylı söylesen???

18.11.2008 17:14    

fox
Aşağıdaki resmin sağ üst köşesinde göründüğü gibi gripten yakalayıp kesişim noktasına çekmeyi kastediyorum.Yani mouse la yaptığımız işlemleride lispte yapmamız mümkün mü?

18.11.2008 21:24    

ehya
çizim yapar gibi lisp yazamassın. Burada yapılması gereken, uygun düğüm noktasını istenilen koordinata getirnekle olur.

20.11.2008 18:19    

fox
koordinata girersek çok uzayacak iş. o zaman diğer yöntemi kullanacaz.

İşte diğer yöntem.

Yukardaki resimde getpoint ile P0 ve P1 noktalarını belirliyoruz, getreal ile L2 ölçüsünü istiyoruz, L2 aynı zamanda çemberimizin yarıçapı oluyor, buna göre P1 noktasından osnap tangent a L1 çizgisini, osnap tangenttan P0 noktasına L2 çizgisini ve P0 noktasından Y ekseninde L1 ile kesişim noktasında bir L3 çizgisini çizdirip, trim olarak belirtilen bölgeyi nasıl trimleriz.
ve L1 i aynı isimde obje olarak tanımladığımızda (setq L1 (entlast)) gibi, trimleme işleminden sonra yine bu objeyi L1 olarak seçtirebilirmiyiz???
Umarım kafaları çok fazla karıştırmamışımdır herkese kolay gelsin.

21.11.2008 07:12    

ehya
trimleme yöntemi kullanacağına L1 çizgisinin L3 çizgisi ile kesiştiği yere kadar çizilmesini sağlaman daha düzenli olur.
Autolisp fonksiyonlarından INTERS komutunu incele. Yardımcı olacaktır.

21.11.2008 07:38    

fox
L1 in L3 le kesiştiği noktaya kadar çizdirmeye kalkarsak işin içine pisagor girecek ve kod çok uzun ve karmaşık bir hal alacak.Osnaplarla kısayoldan gitmeye çalışıyorum bu noktada en önemli olanda P1 noktasından osnap tangenta L1 i çizmek.

21.11.2008 07:53    

ehya
yahu ne pisagor'u :) o kadar da uzağa gitmene gerek yok..
diğer türlü senin istediğin yönteme bakarsak, çizdirdiğin çizgilerin son noktalarını tespit et ve nesne adı ile birleştir. Dxf kodlarını incele. Yazdığım kitapda dxf kodlarını nasıl öğrenebileceğin yazıyor.

21.11.2008 08:11    

fox
girelim bakalım dxf kodlarına.

06.01.2009 15:20    

sibel_colak
mrb arkadaşlar
inters komutunun görevini bilen varmı?

06.01.2009 16:54    

ehya
inters komutu belirtilen 2 doğrultunun 4 koordinatını belirterek kesişip kesişmediğini belirler.
Eğer kesişiyorsa kesişim koordinatını verir, kesişmiyorsa sonuç nil dir.

Örnek :

08.01.2009 10:38    

sahin460
arkadaşlar bu pline çizgi üzerinde bulunan blokları sayacak lisp yazılabilir mi? Yani pline çizgiye tıkladığımızda pline çizgi üzerinde bloklar adet olarak sayılabilirmi?

05.02.2009 13:12    

kurtsalih
merhaba arkadaşlar.. seçili alanı trim yapıp dışında kalan objeleri silmek için bir lispe ihtiyacım var.. (bir kare çizip dışında kalan objeleri silsin.) yardımlarınız için şimdiden teşekkürler.. herkese kolay gelsin..

05.02.2009 13:17    

ehya
böyle 3 işlemlik bir komut için lisp kullanmak mantıklı mı?. Hem silmek istenilen bölümde diğer paftalarınız varsa ne olacak? Bunları düşünmeden lisp istemek pek mantıklı değil. Komut olarak yapmanız ile lisp arasında en fazla yarım dakika oynar.
Karenizi çizin, extrim komutu ile dışını trimleyip kalanı seçerek silebilirsiniz.


Ayrıca arkadaşlar bu bölüm autolisp ile ilgili soru-cevap bölümü. Autolisp isteklerinizi "lisp istekleriniz" bölümüne yazmalısınız.

05.02.2009 13:36    

fox
ehyanında dediği gibi bu işlem için lispe gerek yok. dikdörtgenin etrafını trimlemek için fence alt komutuyla bu işlemi sadece dört nokta seçerek yapmak çok kolay.

13.02.2009 11:33    

veysela
slm
(setq ss (ssget "c" p01 p02 ' (8 . "siva") ) )

seçiminde siva layerındaki çizgiler seçiliyor

buna siva layerındaki linetype bylayer olanları seç demek için ne yazmam gerekiyor

herkese iyi çalışmalar

13.02.2009 12:39    

ehya
Kod:

(setq ss (ssget "c" p01 p02 (list (cons 8 "siva")(cons 6 "BYLAYER"))))

13.02.2009 12:47    

veysela
teşekürler ehya

17.02.2009 13:54    

kurtsalih
Alıntı
ehya :
böyle 3 işlemlik bir komut için lisp kullanmak mantıklı mı?. Hem silmek istenilen bölümde diğer paftalarınız varsa ne olacak? Bunları düşünmeden lisp istemek pek mantıklı değil. Komut olarak yapmanız ile lisp arasında en fazla yarım dakika oynar.
Karenizi çizin, extrim komutu ile dışını trimleyip kalanı seçerek silebilirsiniz.


Ayrıca arkadaşlar bu bölüm autolisp ile ilgili soru-cevap bölümü. Autolisp isteklerinizi "lisp istekleriniz" bölümüne yazmalısınız.



extrim komutunu zaten kullanıyorum. ancak bu işlem oldukça zamanımı alıyor. benim işim direkt paftalarla.. o yüzden böyle bir lispe ihtiyacım var. çok önemli. ilginize teşekkürler.

26.02.2009 09:35    

miyatu
line nesnesine iki extra ozellik eklemek istiyorum bu mumkun mu ?

yada istedigim gibi degistirebilecegim sayisal degerler barindirabilen listeler hangileri, bu degerleri degistirdigim zaman line nin temel ozelliklerinin (renk baslangic ve bitis noktalari aci bilgileri uzunluk bilgileri gibi degerlerin) degismemesi gerekiyor...

simdiden tesekkurler...

26.02.2009 10:08    

ehya
ekstra özellik derken, olmayan bir özellik mi eklemek istiyorsun??

bir nesnenin autolisp'de değiştirilebilen özelliklerini öğrenmek için, aşağıdaki kodlamayı kullanabilirsin.
Bu kodlama, seçilen nesnenin veri tabanını gösterir.


Kod:

(defun c:bilgi ()
(setq sec (car (entsel "\nNesneyi seçiniz:")))
(textscr)
(entget sec)
)

Önceki Sayfa [1] [2] [3] [4] [5] > 6 < [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [42] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.732 saniye - Sorgu: 100 - Ortalama: 0.01732 saniye